Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/perrault/annotate.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/perrault/annotate.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/perrault/annotate.groovy	(revision 927)
@@ -31,8 +31,8 @@
 import org.txm.scripts.*;
 import org.txm.importer.cwb.CwbEncode
 import org.txm.importer.cwb.CwbMakeAll
-import org.txm.scripts.teitxm.BuildTTSrc;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.BuildTTSrc;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.treetagger.TreeTagger;
 import org.txm.Toolbox;
 
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/perrault/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/perrault/compiler.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/perrault/compiler.groovy	(revision 927)
@@ -31,8 +31,8 @@
 import org.txm.importer.cwb.CwbMakeAll
 import org.txm.importer.*;
 import org.txm.scripts.*;
-import org.txm.scripts.teitxm.BuildTTSrc;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.BuildTTSrc;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.treetagger.TreeTagger;
 
 import javax.xml.stream.*;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/perrault/importer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/perrault/importer.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/perrault/importer.groovy	(revision 927)
@@ -33,7 +33,7 @@
 import org.txm.scripts.*;
 import org.txm.importer.cwb.CwbEncode
 import org.txm.importer.cwb.CwbMakeAll
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.treetagger.TreeTagger;
 import javax.xml.stream.*;
 import java.net.URL;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/perrault/allimport.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/perrault/allimport.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/perrault/allimport.groovy	(revision 927)
@@ -39,7 +39,7 @@
 import org.txm.importer.cwb.CwbMakeAll
 import org.txm.importer.filters.*
 import org.txm.scripts.*
-import org.txm.scripts.teitxm.*
+import org.txm.importer.xmltxm.*
 import org.txm.utils.treetagger.TreeTagger
 
 import filters.CutHeader.*
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/CopyXMLFiles.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/CopyXMLFiles.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/CopyXMLFiles.groovy	(revision 927)
@@ -11,6 +11,7 @@
 import javax.xml.stream.events.DTD;
 import javax.xml.stream.events.EntityReference;
 import org.txm.utils.*
+import org.txm.utils.io.
 
 public class CopyXMLFiles {
 	File xmlFile;
@@ -58,4 +59,4 @@
 		CopyXMLFiles cdf = new CopyXMLFiles(xmlFile)
 		println cdf.copy(outDir)
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/doc/FixBreaksAndAutomaticStyles.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/doc/FixBreaksAndAutomaticStyles.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/doc/FixBreaksAndAutomaticStyles.groovy	(revision 927)
@@ -6,6 +6,7 @@
 
 import groovy.xml.QName
 import groovy.xml.StreamingMarkupBuilder
+import groovy.util.XmlParser
 
 class FixBreaksAndAutomaticStyles {
 
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/doc/docLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/doc/docLoader.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/doc/docLoader.groovy	(revision 927)
@@ -36,8 +36,11 @@
 import org.txm.objects.*;
 import org.txm.tokenizer.TokenizerClasses;
 import org.txm.utils.*;
+import org.txm.utils.io.*;
 import org.txm.*;
-import org.txm.scripts.teitxm.*;
+import org.txm.core.preferences.TBXPreferences
+import org.txm.core.engines.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.i18n.*;
 import org.txm.metadatas.*;
 import javax.xml.stream.*;
@@ -60,9 +63,6 @@
 		TokenizerClasses.loadFromNode(params.getTokenizerElement(params.getCorpusElement()));
 		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("/usr/lib/TXM"));
 		//Toolbox.setParam(Toolbox.INSTALL_DIR,new File("C:\\Program Files\\TXM"));//For Windows
-		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File(userDir,"treetagger"));
-		//Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File("C:\\Program Files\\treetagger"));//for Windows
-		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File(userDir,"treetagger/models"));
 		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
 		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
 		Toolbox.setParam(Toolbox.METADATA_TXTSEPARATOR, "\"");
@@ -128,7 +128,7 @@
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
 if (MONITOR != null) MONITOR.worked(20, "CREATING TEI FILES")
 println "-- CONVERTER - Converting source files"
-File xsldir = new File(Toolbox.getTxmHomePath(), "xsl")
+File xsldir = new File(Toolbox.getPreference(TBXPreferences.INSTALL_DIR), "redist/xsl")
 if (!DocumentToTei.processFiles(srcfiles, txmDir, xsldir)) {
 	println "Abord import"
 	return;
@@ -268,8 +268,11 @@
 if (MONITOR != null) MONITOR.worked(20, "ANNOTATE")
 println "-- ANNOTATE - Running NLP tools"
 boolean annotationSuccess = false;
-if (annotate && new Annotate().run(binDir, txmDir, model+".par")) {
-	annotationSuccess = true;
+if (annotate) {
+	def engine = Toolbox.getEngineManager(EngineType.ANNOTATION).getEngine("TreeTagger")
+	if (engine.processDirectory(txmDir, binDir, ["lang":model])) {
+		annotationSuccess = true;
+	}
 }
 
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/limsi/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/limsi/compiler.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/limsi/compiler.groovy	(revision 927)
@@ -33,7 +33,7 @@
 import org.txm.importer.cwb.*
 import org.txm.importer.*;
 import org.txm.scripts.*;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.stat.utils.ConsoleProgressBar
 import org.txm.utils.io.FileCopy;
 import org.txm.utils.treetagger.TreeTagger;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/limsi/importer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/limsi/importer.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/limsi/importer.groovy	(revision 927)
@@ -36,7 +36,7 @@
 import javax.xml.transform.stream.StreamResult;
 
 import org.txm.utils.logger.Log;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.stat.utils.ConsoleProgressBar
 
 import java.io.BufferedWriter;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/limsi/limsiLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/limsi/limsiLoader.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/limsi/limsiLoader.groovy	(revision 927)
@@ -50,9 +50,10 @@
 
 import java.io.File;
 
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.stat.utils.ConsoleProgressBar
-import org.txm.*;
+import org.txm.*;
+import org.txm.core.engines.*;
 import org.txm.objects.*;
 import org.txm.utils.i18n.*;
 import org.txm.utils.*;
@@ -84,8 +85,6 @@
 		params.load()
 	if (!org.txm.Toolbox.isInitialized()) {
 		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("/usr/lib/TXM"));
-		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File(userDir,"treetagger"));
-		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File(userDir,"treetagger/models"));
 		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
 		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
 		Toolbox.setParam(Toolbox.METADATA_TXTSEPARATOR, "\"");
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/hyperbase/hyperbaseLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/hyperbase/hyperbaseLoader.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/hyperbase/hyperbaseLoader.groovy	(revision 927)
@@ -34,7 +34,8 @@
 import org.txm.objects.*;
 import org.txm.utils.*;
 import org.txm.*;
-import org.txm.scripts.teitxm.*;
+import org.txm.core.engines.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.i18n.*;
 import org.w3c.dom.Element
 import org.txm.utils.xml.DomUtils;
@@ -52,8 +53,6 @@
 	if (!org.txm.Toolbox.isInitialized()) {
 
 		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("/usr/lib/TXM"));
-		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File(userDir,"treetagger"));
-		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File(userDir,"treetagger/models"));
 		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
 		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
 		Toolbox.setParam(Toolbox.METADATA_TXTSEPARATOR, "\"");
@@ -101,8 +100,11 @@
 if (MONITOR != null) MONITOR.worked(20, "ANNOTATE")
 println "-- ANNOTATE - Running NLP tools"
 boolean annotationSuccess = false;
-if ((new Annotate().run(binDir, txmDir, model+".par"))) {
-	annotationSuccess = true
+if (annotate) {
+	def engine = Toolbox.getEngineManager(EngineType.ANNOTATION).getEngine("TreeTagger")
+	if (engine.processDirectory(txmDir, binDir, ["lang":model])) {
+		annotationSuccess = true;
+	}
 }
 
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/hyperbase/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/hyperbase/compiler.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/hyperbase/compiler.groovy	(revision 927)
@@ -31,8 +31,8 @@
 import org.txm.importer.cwb.CwbMakeAll
 import org.txm.importer.*;
 import org.txm.scripts.*;
-import org.txm.scripts.teitxm.BuildTTSrc;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.BuildTTSrc;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.treetagger.TreeTagger;
 
 import javax.xml.stream.*;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/TextTranscription2TRS.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/TextTranscription2TRS.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/TextTranscription2TRS.groovy	(revision 927)
@@ -51,7 +51,7 @@
 
 import org.xml.sax.InputSource;
 import org.xml.sax.helpers.DefaultHandler;
-
+import org.txm.utils.io.*
 import java.text.DecimalFormat;
 import java.text.ParseException;
 import java.text.SimpleDateFormat;
@@ -157,7 +157,7 @@
 			}
 			if (!ret) return ret;
 		} else { // the document is already a TXT file
-			org.txm.utils.FileCopy.copy(docFile, txtFile)
+			org.txm.utils.io.FileCopy.copy(docFile, txtFile)
 			ret = true
 		}
 
@@ -282,4 +282,3 @@
 		return finalTrsFile.exists() && finalTrsFile.length() > 0
 	}
 }
-
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/InjectWordPropTableMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/InjectWordPropTableMacro.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/InjectWordPropTableMacro.groovy	(revision 927)
@@ -1,6 +1,7 @@
 package org.txm.macro.annotation;
 
 import org.txm.utils.*
+import org.txm.utils.io.
 
 import java.nio.charset.Charset
 
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/oriflamms/prepare/TEI2ProjectMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/oriflamms/prepare/TEI2ProjectMacro.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/oriflamms/prepare/TEI2ProjectMacro.groovy	(revision 927)
@@ -6,6 +6,7 @@
 import org.txm.rcp.swt.widget.parameters.*
 import org.txm.*
 import org.txm.utils.*
+import org.txm.utils.io.
 import org.txm.importer.*
 import org.txm.utils.logger.*
 import org.txm.utils.zip.Zip;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/oriflamms/prepare/CopyXMLFiles.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/oriflamms/prepare/CopyXMLFiles.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/oriflamms/prepare/CopyXMLFiles.groovy	(revision 927)
@@ -11,6 +11,7 @@
 import javax.xml.stream.events.DTD;
 import javax.xml.stream.events.EntityReference;
 import org.txm.utils.*
+import org.txm.utils.io.
 
 public class CopyXMLFiles {
 	File xmlFile;
@@ -58,4 +59,4 @@
 		CopyXMLFiles cdf = new CopyXMLFiles(xmlFile)
 		println cdf.copy(outDir)
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/oriflamms/prepare/Project2XTZMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/oriflamms/prepare/Project2XTZMacro.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/oriflamms/prepare/Project2XTZMacro.groovy	(revision 927)
@@ -8,6 +8,7 @@
 import org.txm.rcp.swt.widget.parameters.*
 import org.txm.*
 import org.txm.utils.*
+import org.txm.utils.io.
 import org.txm.importer.*
 import org.txm.utils.logger.*
 import org.txm.utils.xml.UpdateXSLParameters
@@ -272,4 +273,4 @@
 cParams.getCorpusElement().setAttribute("font", "Junicode");
 cParams.getEditionsElement(cParams.getCorpusElement()).setAttribute("default", "default,facsimile")
 cParams.getCorpusElement().setAttribute("name", AsciiUtils.buildId(cDirectory.getName()).toUpperCase());
-cParams.save();
+cParams.save();
\ No newline at end of file
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/misc/EuroPress2XMLMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/misc/EuroPress2XMLMacro.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/misc/EuroPress2XMLMacro.groovy	(revision 927)
@@ -2,6 +2,8 @@
 // STANDARD DECLARATIONS
 
 import groovy.xml.QName
+
+import java.nio.charset.Charset
 import java.text.DecimalFormat
 import org.txm.utils.xml.DomUtils;
 import org.txm.importer.ValidateXml;
@@ -97,14 +99,18 @@
 
 	File xhtmlFile = new File(outDir, name+".xhtml")
 
-	Tidy tidy = new Tidy(); // obtain a new Tidy instance
-	tidy.setXHTML(true); // set desired config options using tidy setters
-	tidy.setInputEncoding("UTF-8")
-	tidy.setOutputEncoding("UTF-8")
-	tidy.setShowErrors(0)
-	tidy.setShowWarnings(false)
+//	Tidy tidy = new Tidy(); // obtain a new Tidy instance
+//	tidy.setXHTML(true); // set desired config options using tidy setters
+//	tidy.setInputEncoding("UTF-8")
+//	tidy.setOutputEncoding("UTF-8")
+//	tidy.setShowErrors(0)
+//	tidy.setShowWarnings(false)
 	xhtmlFile.withWriter("UTF-8") { out ->
-		tidy.parse(tmpHTML.toURI().toURL().newInputStream(), out); // run tidy, providing an input and output stream
+		def doc = org.jsoup.Jsoup.connect(tmpHTML.toURI().toURL().toString());
+		println "current charset: "+doc.charset()
+		doc.charset(Charset.forName("UTF-8"))
+		println "current charset: "+doc.charset()
+		out.println(doc.outerHtml​())
 	}
 
 	if (ValidateXml.test(xhtmlFile)) {
Index: tmp/org.txm.core/src/java/org/txm/core/engines/EngineType.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/engines/EngineType.java	(revision 926)
+++ tmp/org.txm.core/src/java/org/txm/core/engines/EngineType.java	(revision 927)
@@ -15,6 +15,7 @@
 	CHARTS("charts"),
 	SCRIPT("scripts"),
 	ANNOTATION("annotations"),
+	TAL("tal"),
 	OTHER("others engines");
 
 	/**
Index: tmp/org.txm.core/src/java/org/txm/importer/GetPagesFromURL.groovy
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/GetPagesFromURL.groovy	(revision 926)
+++ tmp/org.txm.core/src/java/org/txm/importer/GetPagesFromURL.groovy	(revision 927)
@@ -1,6 +1,6 @@
 package org.txm.importer
 
-import org.w3c.tidy.Tidy
+import org.w3c.tidy.*
 
 def workDir = new File("/home/mdecorde/TEMP")
 def outdir = new File("/home/mdecorde/TEMP/out")
@@ -49,7 +49,8 @@
 	out.close()
 	
 	println "xHTMLize HTML $htmlFile"
-	Tidy tidy = new Tidy(); // obtain a new Tidy instance
+	//TODO replace JTidy with Jsoup
+	//def tidy = new Tidy(); // obtain a new Tidy instance
 	tidy.setXHTML(true); // set desired config options using tidy setters
 	tidy.setInputEncoding("UTF-8")
 	tidy.setOutputEncoding("UTF-8")
Index: tmp/org.txm.core/src/java/org/txm/importer/CopyXMLFiles.groovy
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/CopyXMLFiles.groovy	(revision 926)
+++ tmp/org.txm.core/src/java/org/txm/importer/CopyXMLFiles.groovy	(revision 927)
@@ -11,6 +11,7 @@
 import javax.xml.stream.events.DTD;
 import javax.xml.stream.events.EntityReference;
 import org.txm.utils.*
+import org.txm.utils.io.*;
 
 public class CopyXMLFiles {
 	File xmlFile;
Index: tmp/org.txm.core/.classpath
===================================================================
--- tmp/org.txm.core/.classpath	(revision 926)
+++ tmp/org.txm.core/.classpath	(revision 927)
@@ -24,7 +24,6 @@
 	<classpathentry exported="true" kind="lib" path="lib/json-20090211.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/ridl-3.2.1.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/unoil-3.2.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jtidy-r938.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/sqlite-jdbc-3.8.11.2.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/postgresql-9.4.1207.jre6.jar"/>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
@@ -42,5 +41,6 @@
 	<classpathentry exported="true" kind="con" path="GROOVY_DSL_SUPPORT"/>
 	<classpathentry exported="true" kind="lib" path="lib/hsqldb.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/jodconverter-core-3.1-beta.jar"/>
+	<classpathentry kind="lib" path="lib/jsoup-1.11.3.jar"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.core/META-INF/MANIFEST.MF	(revision 926)
+++ tmp/org.txm.core/META-INF/MANIFEST.MF	(revision 927)
@@ -300,6 +300,13 @@
  org.hsqldb.util,
  org.jdesktop.layout,
  org.json,
+ org.jsoup,
+ org.jsoup.helper,
+ org.jsoup.internal,
+ org.jsoup.nodes,
+ org.jsoup.parser,
+ org.jsoup.safety,
+ org.jsoup.select,
  org.junit,
  org.junit.experimental.results,
  org.junit.experimental.runners,
@@ -382,6 +389,7 @@
  org.txm.importer,
  org.txm.importer.filters,
  org.txm.importer.scripting,
+ org.txm.importer.xmltxm,
  org.txm.js,
  org.txm.js.viewer,
  org.txm.metadatas,
@@ -452,8 +460,6 @@
  org.txm.xml.xsl.tei.txt,
  org.txm.xml.xsl.tei.xhtml2,
  org.txm.xml.xsl.tei.xsd,
- org.w3c.tidy,
- org.w3c.tidy.ant,
  resources,
  resources.documents,
  src.main.assembly,
Index: tmp/org.txm.core/.settings/org.eclipse.jdt.groovy.core.prefs
===================================================================
--- tmp/org.txm.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 926)
+++ tmp/org.txm.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 927)
@@ -1,3 +1,3 @@
 eclipse.preferences.version=1
-groovy.compiler.level=-1
+groovy.compiler.level=25
 groovy.script.filters=scripts/**/*.groovy,y,src/main/resources/**/*.groovy,y,src/test/resources/**/*.groovy,y
Index: tmp/org.txm.tokenizer.core/src/org/txm/tokenizer/TTest.java
===================================================================
--- tmp/org.txm.tokenizer.core/src/org/txm/tokenizer/TTest.java	(revision 0)
+++ tmp/org.txm.tokenizer.core/src/org/txm/tokenizer/TTest.java	(revision 927)
@@ -0,0 +1,43 @@
+package org.txm.tokenizer;
+
+public class TTest {
+	String regex;
+	String type = "w";
+	int before=1, hit=2, after=3;
+	public TTest(String regex, String type, int before, int hit, int after) {
+		this.regex = regex;
+		this.type = type;
+		this.before = before;
+		this.hit = hit;
+		this.after = after;
+	}
+	
+	public String getRegex() {
+		return regex;
+	}
+
+	public TTest(String regex, int before, int hit, int after) {
+		this.regex = regex;
+		this.before = before;
+		this.hit = hit;
+		this.after = after;
+	}
+
+	public TTest(String regex, String type) {
+		this.regex = regex;
+		this.type= type;
+	}
+
+	public TTest(String regex) {
+		this.regex = regex;
+	}
+
+	/* (non-Javadoc)
+	 * @see java.lang.Object#toString()
+	 */
+	@Override
+	public String toString() {
+		return "[regex=" + regex + ", type=" + type + ", before="+ before + ", hit=" + hit + ", after=" + after + "]";
+	}
+}
+
Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/KRAnnotationEngine.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/KRAnnotationEngine.java	(revision 926)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/KRAnnotationEngine.java	(revision 927)
@@ -1,5 +1,6 @@
 package org.txm.annotation.kr.core;
 
+import java.io.File;
 import java.util.ArrayList;
 import java.util.HashMap;
 import java.util.List;
@@ -300,4 +301,19 @@
 		
 		return success;
 	}
+
+	/**
+	 * The KR Annotation engine is an assisted oriented annotation engine
+	 * @return false
+	 */
+	@Override
+	public boolean isAutomatic() {
+		return false;
+	}
+
+	@Override
+	public boolean processFile(File xmlFile, File binaryCorpusDirectory, HashMap<String, Object> parameters) {
+		// TODO not implemented yet.
+		return false;
+	}
 }
Index: tmp/org.txm.setups/sudo
===================================================================
--- tmp/org.txm.setups/sudo	(revision 0)
+++ tmp/org.txm.setups/sudo	(revision 927)
@@ -0,0 +1 @@
+on /sys/bus/usb/devices/usb2/power/level
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java	(revision 926)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java	(revision 927)
@@ -44,7 +44,7 @@
 public abstract class IImageKeys {
 
 	/** The images. */
-	private static HashMap<String, Image> images = new HashMap<String, Image>();
+	private final static HashMap<String, Image> images = new HashMap<String, Image>();
 	
 	/** The Constant ACTION_CONCORDANCES. */
 	public static final String ACTION_CONCORDANCES = "icons/functions/Concordances.png"; //$NON-NLS-1$
@@ -147,33 +147,22 @@
 	/** The Constant UNCHECKED. */
 	public static final String UNCHECKED = "icons/cross.png"; //$NON-NLS-1$
 
-
-
-
 	public static final String ACTION_INTERTEXTDIST = "icons/functions/dist.png"; //$NON-NLS-1$
 
-
 	public static final String QUERYINDEX = "icons/functions/QueryIndex.png"; //$NON-NLS-1$
 
-
 	public static final String COOCMATRIX = "icons/functions/graph.png"; //$NON-NLS-1$
 
-
 	public static final String ACTION_WORDCLOUD = "icons/functions/WordCloud.png"; //$NON-NLS-1$
 
-
 	public static final String CTRLSTART = "icons/control_start_blue.png"; //$NON-NLS-1$
 
-
 	public static final String CTRLREVERSE = "icons/control_reverse_blue.png"; //$NON-NLS-1$
 
-
 	public static final String CTRLPLAY = "icons/control_play_blue.png"; //$NON-NLS-1$
 
-
 	public static final String CTRLEND = "icons/control_end_blue.png"; //$NON-NLS-1$
 
-
 	public static final String CTRLFASTFORWARD = "icons/control_fastforward_blue.png"; //$NON-NLS-1$
 	
 	public static final String CTRLFASTFORWARDEND = "icons/control_fastforwardend_blue.png"; //$NON-NLS-1$
@@ -238,8 +227,6 @@
 	public static final String OPEN_DECORATOR = "icons/decorators/bullet_arrow_down.png";
 	public static final String CLOSE_DECORATOR = "icons/decorators/bullet_arrow_up.png";
 
-
-
 	/**
 	 * Gets the image.
 	 *
@@ -264,7 +251,7 @@
 	 * @param imageFilePath
 	 * @return
 	 */
-	public static Image getImage(Class classOfPlugin, String imageFilePath) {
+	public static Image getImage(Class<?> classOfPlugin, String imageFilePath) {
 		return getImage(FrameworkUtil.getBundle(classOfPlugin).getSymbolicName(), imageFilePath);
 	}
 	
@@ -275,10 +262,15 @@
 	 * @return
 	 */
 	public static Image getImage(String pluginId, String imagekey) {
-		if (!images.containsKey(imagekey))
-			images.put(imagekey, new Image(null, AbstractUIPlugin.imageDescriptorFromPlugin(pluginId, imagekey).getImageData()));
+		if (!images.containsKey(imagekey)) {
+			ImageDescriptor imgg = AbstractUIPlugin.imageDescriptorFromPlugin(pluginId, imagekey);
+			if (imgg == null) {
+				System.out.println("Warning: image not found in '"+pluginId+"' -> '"+imagekey+"'");
+				return getImage("icons/null.png");
+			}
+
+			images.put(imagekey, new Image(null, imgg.getImageData()));
+		}
 		return images.get(imagekey);
 	}
-	
-	
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 926)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 927)
@@ -581,7 +581,6 @@
 				//					previousProperties.load(reader);
 				//					String [] keys= {TBXPreferences.TREETAGGER_INSTALL_PATH,
 				//							TBXPreferences.TREETAGGER_MODELS_PATH,
-				//							TBXPreferences.TREETAGGER_APOSTROPHE,
 				//							TBXPreferences.TREETAGGER_OPTIONS};
 				//					for (String k : keys) {
 				//						if (previousProperties.getProperty(k) != null) {
@@ -821,6 +820,9 @@
 			Log.info(TXMUIMessages.ApplicationWorkbenchAdvisor_11);
 			monitor.setTaskName(TXMUIMessages.ApplicationWorkbenchAdvisor_11);
 			//File corporaDir = new File(txmhomedir.getAbsolutePath(), "corpora"); //$NON-NLS-1$
+			if (txmhomedir == null) {
+				txmhomedir = new File(TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE).trim());
+			}
 			corporaDir = new File(txmhomedir, "corpora"); //$NON-NLS-1$
 			corporaDir.mkdir();
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 926)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 927)
@@ -210,7 +210,6 @@
 //			//System.out.println("SCRIPT ROOT DIR CHANGED tmp="+tmp);
 //		}
 
-		String scriptsRootDirectories = Toolbox.getTxmHomePath() + "/scripts";
 		String dir = currentRootDir.getAbsolutePath();
 		String path = scriptfile.getAbsolutePath();
 		if (!path.startsWith(dir)) {
@@ -220,7 +219,7 @@
 		final String relativepath = path.substring(dir.length()+1);
 
 		//if (gse == null) {
-			gse = GSERunner.buildDefaultGSE(scriptsRootDirectories, scriptfile);
+			gse = GSERunner.buildDefaultGSE(scriptfile);
 			if (gse == null) {
 				System.out.println("Could not create the Groovy script engine. Aborting.");
 				return;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java	(revision 926)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java	(revision 927)
@@ -50,7 +50,9 @@
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.Toolbox;
+import org.txm.annotation.core.AnnotationEngine;
 import org.txm.Toolbox;
+import org.txm.core.engines.Engine;
 import org.txm.core.engines.EngineType;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.importer.ImportKeys;
@@ -159,23 +161,23 @@
 			Log.severe(TXMUIMessages.ExecuteScriptImport_2+corporadir);
 			return null;
 		}
-
-		// groovy configuration
-		IPreferencesService service = Platform.getPreferencesService();
-		final String scriptRootDir = service.getString(Application.PLUGIN_ID,
-				TBXPreferences.USER_TXM_HOME+"/scripts",
-				"", null);
 		
-//		ClassLoader parent = ExecuteImportScript.class.getClassLoader();
-//		final GroovyClassLoader loader = new GroovyClassLoader(parent);
-//		final String[] roots = new String[] { 
-//				scriptRootDir,
-//				scriptRootDir+"/user/", //$NON-NLS-1$
-//				scriptRootDir+"/macro/", //$NON-NLS-1$
-//				script.getParent(),
-//				};
+		params.load(); // reload params
 		
-		params.load(); // reload params
+		// check if TreeTagger if ready
+		boolean annotate = "true" == params.getCorpusElement().getAttribute("annotate");
+		if (annotate) {
+			Engine e = Toolbox.getEngineManager(EngineType.ANNOTATION).getEngine("TreeTagger");
+			if (e == null) {
+				System.out.println("Error: no TreeTagger annotation engine found to annotate the corpus. Aborting");
+				return null;
+			}
+			AnnotationEngine engine = (AnnotationEngine) e;
+			if (!engine.isRunning()) {
+				System.out.println("Error: TreeTagger annotation engine is not ready please check TXM > Advance > TAL > TreeTagger preferences. Aborting");
+				return null;
+			}
+		}
 
 		// the binary directory which is going to be created
 
@@ -221,9 +223,8 @@
 					monitor.worked(5);
 
 					//				if (ExecuteImportScript.gse == null)
-					ExecuteImportScript.gse = GSERunner.buildDefaultGSE(scriptRootDir, script);
+					ExecuteImportScript.gse = GSERunner.buildDefaultGSE(script);
 					
-
 					Binding binding = new Binding();
 					binding.setProperty("paramsBinding", p); //$NON-NLS-1$
 					binding.setProperty("monitor", this); //$NON-NLS-1$
@@ -268,6 +269,7 @@
 							Toolbox.workspace.save();
 							
 							Log.info("Restart Toolbox search engine"); //$NON-NLS-1$
+							Toolbox.restartWorkspace(null);
 							Toolbox.getEngineManager(EngineType.SEARCH).restartEngines();
 							final Base base2 = base;
 							syncExec(new Runnable() {
@@ -296,6 +298,7 @@
 				} finally {
 					if (!CQPSearchEngine.isInitialized()) { // the import failed
 						monitor.setTaskName("Restarting Toolbox search engine"); //$NON-NLS-1$
+						Toolbox.restartWorkspace(this);
 						Toolbox.getEngineManager(EngineType.SEARCH).restartEngines();
 						
 						syncExec(new Runnable() {
@@ -332,7 +335,7 @@
 		int idx = scriptPackage.indexOf("Loader");
 		scriptPackage = "org/txm/importer/" + scriptPackage.substring(0, idx);
 		
-		return BundleUtils.replaceFilesIfNewer("org.txm.core", "src", scriptPackage, 
+		return BundleUtils.replaceFilesIfNewer("org.txm.groovy.core", "src/groovy", scriptPackage, 
 				script.getName(), script);
 	}
 }
